Subject: bug#35771: [PATCH] Customization type of recentf-max-saved-items

From: Dario Gjorgjevski <[email-masked]>
Date: Sun, 19 May 2019 11:15:24 +0200

"Basil L. Contovounesios" <[email-masked]> writes:

> (I'm curious as to why :value is set to 1 rather than the default values
> 20 and 400 of the user options recentf-max-saved-items and
> save-place-limit, respectively.  Not an important issue, though.)

I was also wondering the same thing.

> See the outlines "Commit messages" and "Generating ChangeLog entries"
> in the file CONTRIBUTE for the preferred commit message format.
> In particular, it should mention the names of the file and variable
> changed, as well as the bug#number.

Thanks.  I am attaching a patch file with a properly formatted commit
message.

>From 46a0d4715ce49aee376a4d253a129c5d6b5b97a8 Mon Sep 17 00:00:00 2001
From: Dario Gjorgjevski <[email-masked]>
Date: Fri, 17 May 2019 11:46:54 +0200
Subject: [PATCH] Customization type of recentf-max-saved-items

Change the customization type of recentf-max-saved-items to include
nil, as it is an allowed value (Bug#35771).
* lisp/recentf.el (recentf-max-saved-items): Change the customization
type in the defcustom.
---
 lisp/recentf.el | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/lisp/recentf.el b/lisp/recentf.el
index 9b70017a38..4112b44e48 100644
--- a/lisp/recentf.el
+++ b/lisp/recentf.el
@@ -67,7 +67,8 @@ You should define the options of your own filters in this group."
 A nil value means to save the whole list.
 See the command `recentf-save-list'."
   :group 'recentf
-  :type 'integer)
+  :type '(choice (integer :tag "Entries" :value 1)
+		 (const :tag "No Limit" nil)))
 
 (defcustom recentf-save-file (locate-user-emacs-file "recentf" ".recentf")
   "File to save the recent list into."
-- 
2.20.1

-- 
Dario Gjorgjevski :: [email-masked] :: +389 (0)70 784 142